Subject: Re: bug#24764: 25.1.50; Another crash in automatic gc

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Oct 2016 19:46:22 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 25 Oct 2016 16:37:52 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Please update from the Git repo and rebuild.  I've added a workaround
> > for this problem.  It should prevent the assertion violation in xml.c,
> > but the really interesting question is whether your other crashes in
> > GC will also go away?  If not, there are more places like this one
> > that need to be fixed.
> 
> Many thanks, Eli.  Interim status: Emacs seems to be stable with your
> latest patch, but I did not work much with it the last two days.  Let's
> see what the next few days bring.

Thanks for the update.  There are/will be more changes on emacs-25 for
this kind of problems, so perhaps rebuild in a few days even if you
don't see any problems, and continue testing with that newer version?